Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: iOS 11 Simulators not supported?



Permlink Replies: 2 - Last Post: Sep 29, 2017 6:51 AM Last Post By: Mustafa Ersagun... Threads: [ Previous | Next ]
Dave Nottage

Posts: 1,850
Registered: 1/7/00
iOS 11 Simulators not supported?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 29, 2017 12:28 AM
Sanity check: I installed the patch today:

http://downloads.embarcadero.com/Item/30805

I'm pretty sure the iOS 11 simulators (aside from iPhone X) were working before the patch. Now the IDE shows a
message:


Error

iOS Simulator version 11 or later is currently not supported.
You can open Xcode > Preferences > Components to download and install an earlier version of the iOS Simulator.

OK

Anyone else seeing this?

--
Dave Nottage [MVP, TeamB]
Find hints, tips and tricks at Delphi Worlds blog: http://www.delphiworlds.com
Paul Richardson

Posts: 10
Registered: 2/3/08
Re: iOS 11 Simulators not supported?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 29, 2017 6:44 AM   in response to: Dave Nottage in response to: Dave Nottage
Yes, I've installed the update and I see the same error message. I'm guessing ios11 simulator support is yet to come...

Paul

Dave Nottage wrote:
Sanity check: I installed the patch today:

http://downloads.embarcadero.com/Item/30805

I'm pretty sure the iOS 11 simulators (aside from iPhone X) were working before the patch. Now the IDE shows a
message:

Error

iOS Simulator version 11 or later is currently not supported.
You can open Xcode > Preferences > Components to download and install an earlier version of the iOS Simulator.

OK

Anyone else seeing this?

--
Dave Nottage [MVP, TeamB]
Find hints, tips and tricks at Delphi Worlds blog: http://www.delphiworlds.com
Mustafa Ersagun...

Posts: 10
Registered: 10/13/11
Re: iOS 11 Simulators not supported?
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 29, 2017 6:51 AM   in response to: Dave Nottage in response to: Dave Nottage
I have not tried it yet.

But there is below note on this blog: https://community.embarcadero.com/blogs/entry/build-ios-11-ready-apps-with-rad-studio-10-2-1

Note: iOS 11 Simulator deployment is currently not supported as it requires macOS 64-bit support. macOS 64-bit support is on our product roadmap. Targeting iOS 10 Simulator devices is supported.
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02